Loading...
Searching...
No Matches
opencc::PrefixMatchView Struct Reference

Result of a PrefixMatch fast-path lookup. More...

`#include <src/Dict.hpp>`

## Public Attributes

bool | matched = false
size_t | keyLength = 0
std::string_view | key
std::string_view | value

## Detailed Description

Result of a PrefixMatch fast-path lookup.

key and value are non-owning views; see PrefixMatch::MatchPrefixView() for lifetime details.

The documentation for this struct was generated from the following file:

- Dict.hpp